Failed: build exceeded the time limit and was terminated

2024-03-01T08:33:50.212806Z	Cloning repository...
2024-03-01T08:33:50.971818Z	From https://github.com/willin/nextjs-auth0-cloudflare
2024-03-01T08:33:50.972366Z	 * branch            ff6b5c0df3bda55f6077d8b03e278525933dd5f9 -> FETCH_HEAD
2024-03-01T08:33:50.9725Z	
2024-03-01T08:33:51.008642Z	HEAD is now at ff6b5c0 feat: :sparkles: next auth auth0
2024-03-01T08:33:51.009451Z	
2024-03-01T08:33:51.109706Z	
2024-03-01T08:33:51.110319Z	Using v2 root directory strategy
2024-03-01T08:33:51.138243Z	Success: Finished cloning repository files
2024-03-01T08:33:51.791979Z	Restoring from dependencies cache
2024-03-01T08:33:51.81201Z	Restoring from build output cache
2024-03-01T08:33:52.936612Z	Detected the following tools from environment: bun@latest, [email protected]
2024-03-01T08:33:52.937288Z	Installing bun latest
2024-03-01T08:33:53.320426Z	Downloading Bun v1.0.29...
2024-03-01T08:33:54.404454Z	Archive:  /tmp/asdf-bun.1wU3/bun.zip
2024-03-01T08:33:55.181619Z	  inflating: /opt/buildhome/.asdf/downloads/bun/1.0.29/bun  
2024-03-01T08:33:55.247907Z	Installing Bun v1.0.29...
2024-03-01T08:33:55.361412Z	Bun v1.0.29 is installed successfully!
2024-03-01T08:33:55.948001Z	Installing project dependencies: bun install --frozen-lockfile
2024-03-01T08:33:56.189466Z	bun install v1.0.29 (a146856d)
2024-03-01T09:09:50.699655Z	Failed: build exceeded the time limit and was terminated. Refer to https://developers.cloudflare.com/pages/platform/limits/#builds for build limits

from today my pages cannot deploy, after clear the cache, still the same error…

even cannot install deps

the first time this day, and the first time this month. wtf with the exceeded the time limit

Hi!

Given that Bun is relatively new, and is the only tool we’ve had reports like this on, we are leaning towards this being a Bun issue.

It looks like Bun's v1.0.30 release added reliability improvements to bun install, so I’d suggest you to try that version (or whatever is latest): Bun v1.0.30 | Bun Blog

Additionally, if you would like to customize your bun install command (eg. to remove --frozen-lockfile or add --verbose), you can add the following environment variable to skip the automatic dependency installation:
SKIP_DEPENDENCY_INSTALL=true{}

Best regards,
José

same error

Hey @willin, are you able to provide us with some deployment IDs of failed builds that are using Bun version v1.0.30 with the --verbose flag, so that we can take a closer look?

612365ad-7dfd-4504-ad4d-a6836b828a14


but i did not add --verbose, i have no idea where to add it…